Loading...
Searching...
No Matches
chunk.hpp File Reference

Provides seqan3::views::chunk. More...

`#include <seqan3/contrib/std/chunk_view.hpp>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for chunk.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Typedefs

using | seqan3::views::chunk = seqan::stl::views::chunk

A view adaptor that divides a range into chunks.

This entity is not part of the SeqAn API. Do not rely on it in your applications. This is a implementation of the C++23 chunk_view. It will be replaced with std::views::chunk.

.

## Detailed Description

Provides seqan3::views::chunk.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me